package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.ParkingChannel;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface ParkingChannelService {
	ParkingChannel get(String id);
	boolean exist(String id);
	int insert(ParkingChannel model);
	int update(ParkingChannel model);
	int delete(String id);
	List<ParkingChannel> list();
	Page<ParkingChannel> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

	List<ParkingChannel> findByParkId(Long parkId);
	ParkingChannel findByChannelId(String channelId);
	int deleteNotExist(List<ParkingChannel> list);
	List<ParkingChannel> findApiByParkId(Long parkId) throws Exception;
}